com.h3c.util.snmp.command

## Class SnmpAbstractDecoder<E>

- java.lang.Object
- - com.h3c.util.snmp.command.SnmpAbstractDecoder<E>

- Type Parameters:
    `E` - Type of the element to encode.
  All Implemented Interfaces:
    Decoder<E,SnmpField>
  Direct Known Subclasses:
    SnmpAbstractCodec

      public abstract class SnmpAbstractDecoder<E>
      extends Object
      implements Decoder<E,SnmpField>

  SNMP abstract decoder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpAbstractDecoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected byte[]` | `decodePrimitiveAsBytes(SnmpField code)` Decodes a value.
    `protected int` | `decodePrimitiveAsInt(SnmpField code)` Decodes a value.
    `protected IpAddress` | `decodePrimitiveAsIpAddress(SnmpField code)` Decodes a value.
    `protected long` | `decodePrimitiveAsLong(SnmpField code)` Decodes a value.
    `protected MacAddress` | `decodePrimitiveAsMacAddress(SnmpField code)` Decodes a value.
    `protected String` | `decodePrimitiveAsString(SnmpField code)` Decodes a value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.util.snmp.command.Decoder

      `decode`

- - ### Constructor Detail

    - #### SnmpAbstractDecoder

          public SnmpAbstractDecoder()

  - ### Method Detail

    - #### decodePrimitiveAsInt

          protected int decodePrimitiveAsInt(SnmpField code)

      Decodes a value.
      Parameters:
        `code` - Code.
      Returns:
        Decoded value.

    - #### decodePrimitiveAsLong

          protected long decodePrimitiveAsLong(SnmpField code)

      Decodes a value.
      Parameters:
        `code` - Code.
      Returns:
        Decoded value.

    - #### decodePrimitiveAsString

          protected String decodePrimitiveAsString(SnmpField code)

      Decodes a value.
      Parameters:
        `code` - Code.
      Returns:
        Decoded value.

    - #### decodePrimitiveAsIpAddress

          protected IpAddress decodePrimitiveAsIpAddress(SnmpField code)

      Decodes a value.
      Parameters:
        `code` - Code.
      Returns:
        Decoded value.

    - #### decodePrimitiveAsMacAddress

          protected MacAddress decodePrimitiveAsMacAddress(SnmpField code)

      Decodes a value.
      Parameters:
        `code` - Code.
      Returns:
        Decoded value.

    - #### decodePrimitiveAsBytes

          protected byte[] decodePrimitiveAsBytes(SnmpField code)

      Decodes a value.
      Parameters:
        `code` - Code.
      Returns:
        Decoded value.

Copyright © 2014. All Rights Reserved.